#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <gsl/gsl_math.h>

double dPdx(int n,double x)
{
  double temp;
  switch(n)
    {
    case 1:
      temp=1;
      break;
    case 2:
      temp=3*x;
      break;
    case 3:
      temp=1.5*(-1. + 5*x*x);
      break;
    case 4:
      temp=2.5*x*(-3 + 7*x*x);
      break;
    case 5:
      temp=1.875*(1. - 14.*x*x + 21.*gsl_pow_4(x));
      break;
    case 6:
      temp=2.625*x*(5. -30.*x*x + 33.*gsl_pow_4(x));
      break;
    default:
      printf("Error: dP/dx not defined for n=%i\n",n);
    }
  return temp;
}
