#include <iostream>
#include <iomanip>
#include <fstream>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>
#include <gsl/gsl_sf_laguerre.h>
#include <gsl/gsl_sf_legendre.h>



using namespace std;


int Np,Nxi;

double dt;
double tau;

double theta;

double * amn;
double * fcurr;
double * fprime;

double * p;
double * w_p;
double * x;
double * w_x;

double * Lm1p;
double * Plx;

const double fmtoGeVinv=5.06842;
double ETAOS;

void print_grid();
void print_f(double *f);

double get_f(double *f,int i,int j);
void set_f(double *f,int i,int j,double val);
void add_f(double *f,int i,int j,double val);

void set_sqrA(int n,double *f,int i,int j,double val);
double get_sqrA(int n,double *f,int i,int j);

double dPdx(int n,double x);

struct poly
{
  int order;
  double * powers;
  double * values;
};

